/*
** Module   : filesys.h
** Abstract : Header file for file system functions.
**            This is used by filesys.c, file_system_helper_(linix|win).c
**
** Copyright (c) 2013, Golden Code Development Corporation.
** ALL RIGHTS RESERVED. Use is subject to license terms.
**
**           Golden Code Development Corporation
**                      CONFIDENTIAL
**
** -#- -I- --Date-- --------------------------------Description-----------------------------------
** 001 EVL 20130329 Created initial version for file sysstem declarations.
*/

#include <stdio.h>
#include <sys/stat.h>
#include <unistd.h>
#include <sys/types.h>
#include <errno.h> 
#include <string.h> 
#include <stdlib.h> 
#include <fcntl.h> 
#include <jni.h>
#include <time.h>

// status bitfield for unknown type
#define UNKNOWN 0

// status bitfield for directory type
#define DIR (1<<0)

// status bitfield for file type
#define FILE (1<<1)

// status bitfield for symbolic link tyoe
#define SYMLINK (1<<2)

// status bitfield for device type
#define DEVICE  (1<<3)

// status bitfield for pipe type
#define PIPE (1<<4)

//status bitfield for hidden type
#define HIDDEN (1<<5)

JNIEXPORT jint JNICALL checkFileType(JNIEnv *, jclass, jstring); 

